> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tikfly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Dramas

> Get User Dramas



## OpenAPI

````yaml /api-reference/openapi.json get /api/user/dramas
openapi: 3.1.0
info:
  title: Tikfly API - Unoffical Tiktok API
  description: >-
    Tikfly API Documentation - Unoffical Tiktok API for scalable access without
    the usual limitations
  version: 1.0.0
servers:
  - url: https://tiktok-api23.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/user/dramas:
    get:
      tags:
        - User
      summary: Get User Dramas
      description: Get User Dramas
      operationId: getApiUserDramas
      parameters:
        - in: query
          name: secUid
          schema:
            type: string
            minLength: 1
            description: User secUid
            example: >-
              MS4wLjABAAAA63WLj4gsA7Ad6V3caZ9l5PhxNJk7ZQTTdgEF4SZSVKmlOudPA56zl5rzl6SGCOEv
          required: true
        - in: query
          name: count
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 20
            description: >-
              The number of results to be returned. The default and maximum
              value is 20
            example: 20
          required: false
        - in: query
          name: cursor
          schema:
            type: string
            description: >-
              cursor parameter is used for pagination. In the first request, the
              default value of cursor is 0. For subsequent requests, the value
              of cursor will be taken from the response of the previous request
            default: '0'
          required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  cursor:
                    type: string
                    description: >-
                      Cursor for pagination. Use this value in subsequent
                      requests to fetch more data
                    example: '20'
                  hasMore:
                    type: boolean
                    description: Indicates whether there are more data available to fetch
                    example: true
                  dramaList:
                    type: array
                    items:
                      type: object
                      properties:
                        cover:
                          type: object
                          properties:
                            urlList:
                              type: array
                              items:
                                type: string
                              description: A list of URLs for the drama cover images
                              example:
                                - >-
                                  https://p16-common-sign.tiktokcdn-eu.com/tos-alisg-i-xbj99bix8q-sg/d123fd5ec022495aa3730bc758d15cbd~tplv-tiktokx-origin.image?dr=10395&x-expires=1787378400&x-signature=zzjvekP1M%2BM3GEAJxdI3n%2FULjUA%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a
                                - >-
                                  https://p19-common-sign.tiktokcdn-eu.com/tos-alisg-i-xbj99bix8q-sg/d123fd5ec022495aa3730bc758d15cbd~tplv-tiktokx-origin.image?dr=10395&x-expires=1787378400&x-signature=mVvxuQYvA9RvkVnj58rQ%2BkS5h2g%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a
                                - >-
                                  https://p16-common-sign.tiktokcdn-eu.com/tos-alisg-i-xbj99bix8q-sg/d123fd5ec022495aa3730bc758d15cbd~tplv-tiktokx-origin.jpeg?dr=10395&x-expires=1787378400&x-signature=RLyraA8kZ%2BN3%2F3kHTrWKDnHZvpg%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a
                        description:
                          type: string
                          description: The description of the drama
                          example: >-
                            Leo Lara sale de prisión y rescata a la hija de una
                            familia adinerada...
                        dramaID:
                          type: string
                          description: The unique identifier of the drama
                          example: '7674268460205364245'
                        dramaName:
                          type: string
                          description: The name of the drama
                          example: El regreso del rey dragón
                        isLimitedFree:
                          type: boolean
                          description: Whether the drama has limited free access
                          example: true
                        numVideos:
                          type: number
                          description: The total number of episodes in the drama
                          example: 65
                        numWatched:
                          type: string
                          description: The number of times the drama has been watched
                          example: '2040026'
                        themes:
                          type: array
                          items:
                            type: object
                            properties:
                              tagID:
                                type: string
                                description: The unique identifier of the drama theme
                                example: '7628991192533095425'
                              tagKey:
                                type: string
                                description: The key identifying the drama theme
                                example: tag_Highsociety_GeneralSettings
                              tagVal:
                                type: string
                                description: The display value of the drama theme
                                example: Family Feud
                          description: The themes associated with the drama
                        totalDuration:
                          type: string
                          description: >-
                            The total duration of all episodes in the drama, in
                            seconds
                          example: '6596'
                        zoomCover:
                          type: object
                          properties:
                            '240':
                              type: string
                              description: ''
                              example: >-
                                https://p16-common-sign.tiktokcdn-eu.com/tos-alisg-i-xbj99bix8q-sg/d123fd5ec022495aa3730bc758d15cbd~tplv-photomode-zoomcover:240:240.jpeg?dr=10375&x-expires=1787378400&x-signature=EJSNs1FRBQ%2FJJrUJ%2F1Z9zKZ%2BNdE%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a&ftpl=1
                            '480':
                              type: string
                              description: ''
                              example: >-
                                https://p16-common-sign.tiktokcdn-eu.com/tos-alisg-i-xbj99bix8q-sg/d123fd5ec022495aa3730bc758d15cbd~tplv-photomode-zoomcover:480:480.jpeg?dr=10375&x-expires=1787378400&x-signature=TATIhtRyaLJOccdSu50E1Zi4cEY%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a&ftpl=1
                            '720':
                              type: string
                              description: ''
                              example: >-
                                https://p16-common-sign.tiktokcdn-eu.com/tos-alisg-i-xbj99bix8q-sg/d123fd5ec022495aa3730bc758d15cbd~tplv-photomode-zoomcover:720:720.jpeg?dr=10375&x-expires=1787378400&x-signature=pu6IKlsYGWaU9VrIyBPalpy%2Be%2BQ%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a&ftpl=1
                            '960':
                              type: string
                              description: ''
                              example: >-
                                https://p19-common-sign.tiktokcdn-eu.com/tos-alisg-i-xbj99bix8q-sg/d123fd5ec022495aa3730bc758d15cbd~tplv-photomode-zoomcover:960:960.jpeg?dr=10375&x-expires=1787378400&x-signature=cR%2BLKHBnDyiEDigRACMen%2F0gTOU%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=no1a&ftpl=1
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.tikfly.io/getting-started/quickstart)

````